-- aktualizace poslednch pednek

-- nejprve vynuluji pedchoz

update Namety_prednasek set
  Posledni_datum=null,
  Posledni_recnik=null,
  Plan_datum=null,
  Plan_recnik=null

-- vytvorim temp tabulku setridenou naopak

select *
into #temptable
from Rozpis_prednasek R
order by R.Prednaska, R.Datum desc

-- potom zapu posledn datumy

update Namety_prednasek set
  Posledni_datum=R.Datum,
  Posledni_recnik=R.Recnik
from #temptable R
where
  ((Posledni_datum is null) or
   (R.Datum>Posledni_datum)) and
   (R.Stav=3) and
   (Cislo=R.Prednaska)

-- potom zapu planovane datumy

update Namety_prednasek set
  Plan_datum=R.Datum,
  Plan_recnik=R.Recnik
from #temptable R
where
  ((Posledni_datum is null) or
   (R.Datum>Posledni_datum)) and
   (R.Stav<3) and
   (Cislo=R.Prednaska)

-- vymazu temptable
drop table #temptable

